<?php

include_once('connection.php');

// get all `records`
$query = "SELECT * FROM records";

try {
	$records = $conn->prepare($query);
	$records->execute();
	$result = $records->fetchAll();
} catch(PDOException $error) {
	http_response_code(400);
	$result = [
		"error" => 400,
		"message" => $error->getMessage()
	];
}

echo json_encode($result);
