<?php

include_once('connection.php');

// get all `records` ordered by `artist`
$query = "SELECT id, artist, title, price 
		  FROM records 
		  ORDER BY artist";

try {
	$records = $conn->prepare($query);
	$records->execute();
	$result = $records->fetchAll();
} catch(PDOException $error) {
  	http_response_code(400);
	echo json_encode([
		"error" => 400,
		"message" => $error->getMessage()
	]);
}

echo json_encode($result, JSON_PRETTY_PRINT);
