<?php

include_once('connection.php');

// get alle `records` with `genre`, ordered by `artist`
$query = "SELECT records.id, artist, title, genres.name AS genre 
	      FROM records 
	      JOIN genres ON records.genre_id = genres.id
	      ORDER BY artist";

try {
	$records = $conn->prepare($query);
	$records->execute();
	$result = $records->fetchAll();

} catch(PDOException $error) {
  	http_response_code(400);
	echo json_encode([
		"error" => 400,
		"message" => $error->getMessage()
	]);
}

echo json_encode($result);
